Movable Typeシステム・チェック [mt-check.cgi]

Movable Typeが動作するために必要なPerlモジュールのインストールについての確認と、設定に関するシステムの情報を表示します。

システム情報:

モジュールの確認: 必要

CGI

サーバーには、CGIがインストールされています。(バージョン: 3.10)

HTML::Template (version >= 2)

サーバーには、HTML::Templateがインストールされています。(バージョン: 2.4)

Image::Size

サーバーには、Image::Sizeがインストールされています。(バージョン: 2.93)

File::Spec (version >= 0.8)

サーバーには、File::Specがインストールされています。(バージョン: 0.82)

CGI::Cookie

サーバーには、CGI::Cookieがインストールされています。(バージョン: 1.25)

モジュールの確認: データ管理

以下のモジュールはMovable Typeのデータの保管、管理のために利用します。Movable Typeを利用するためには、以下のモジュールのうち少なくとも一つはインストールされている必要があります。

DB_File

サーバーには、DB_Fileがインストールされています。(バージョン: 1.82)

DBI (version >= 1.21)

サーバーには、DBIがインストールされています。(バージョン: 1.633)

DBD::mysql

サーバーに、「DBD::mysql」がインストールされていないか、「DBD::mysql」に必要なモジュールがインストールされていません 「DBI」と「DBD::mysql」は、MySQLを使ってブログのデータを管理するために必要です。 「DBD::mysql」をインストールする場合は、インストール手順を参照してください。

DBD::Pg (version >= 1.32)

サーバーに、「DBD::Pg」がインストールされていない、古いバージョンがインストールされている、もしくは「DBD::Pg」に必要なモジュールがインストールされていません 「DBI」と「DBD::Pg」は、PostgreSQLを使ってデータを管理するために必要です。 「DBD::Pg」をインストールする場合は、インストール手順を参照してください。

DBD::SQLite

サーバーには、DBD::SQLiteがインストールされています。(バージョン: 1.27)

モジュールの確認: オプション

以下のモジュールはオプションです。なくても動作しますが、関連する機能を利用するためにはインストールしておく必要があります。

HTML::Entities

サーバーには、HTML::Entitiesがインストールされています。(バージョン: 3.64)

LWP::UserAgent

サーバーには、LWP::UserAgentがインストールされています。(バージョン: 2.001)

SOAP::Lite (version >= 0.5)

サーバーには、SOAP::Liteがインストールされています。(バージョン: 0.52)

File::Temp

サーバーには、File::Tempがインストールされています。(バージョン: 0.12)

Image::Magick

サーバーに、「Image::Magick」がインストールされていないか、「Image::Magick」に必要なモジュールがインストールされていません 「Image::Magick」は、画像をアップロードする際のサムネイル自動作成のために必要です。 「Image::Magick」をインストールする場合は、インストール手順を参照してください。

Storable

サーバーには、Storableがインストールされています。(バージョン: 2.20)

Crypt::DSA

サーバーに、「Crypt::DSA」がインストールされていないか、「Crypt::DSA」に必要なモジュールがインストールされていません 「Crypt::DSA」をインストールすると、コメント登録機能を利用するときに、TypeKeyを利用したサインインの動作が高速になります。 「Crypt::DSA」をインストールする場合は、インストール手順を参照してください。

MIME::Base64

サーバーには、MIME::Base64がインストールされています。(バージョン: 3.08)

XML::Atom

サーバーに、「XML::Atom」がインストールされていないか、「XML::Atom」に必要なモジュールがインストールされていません 「XML::Atom」は、Atom API を利用するときに必要です。 「XML::Atom」をインストールする場合は、インストール手順を参照してください。

Movable Typeのシステム・チェックは、無事に完了しました

準備が整いました。 サーバーには必要なモジュールがすべて揃っています。追加のモジュールのインストールは必要ありません。インストールの説明に従って、次の手順に進んでください。